
<div class="filter-container">
    <div class="line-seperator"></div>
    <div class="row ">
        <div class="col-lg-2 d-flex justify-content-center mb-2">
            <div ngbDropdown #industryDrop="ngbDropdown" class="d-inline-block" *ngIf="searchService.industriesResponse | async; let industries; else loading">
                <button class="btn btn-secondary filter filter-drop-down " id="dropdownBasic1" ngbDropdownAnchor (focus)="industryDrop.open();">Branscher
                </button>
                <button class="btn expand-btn industry-expand-btn" (click)="$event.stopPropagation(); industryDrop.open();" ><i class="fas fa-angle-down"></i></button>
                <div ngbDropdownMenu aria-labelledby="dropdownBasic1">
                    <div class="industry-btn" *ngFor="let industry of industries; let idx = index" >
                        <label class="container">
                            <input type="checkbox"
                                    (ngModelChange)="toggleIndustry($event, industry)"
                                   [id]="industry.identifier"
                                   [ngModel]="industryChecked[industry.identifier]"
                                   >{{industry.title}} ({{industry.count}})
                            <span class="checkmark"></span>
                        </label>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-10 d-flex justify-content-center mb-2">


            <div class="btn-group mr-3" *ngIf="searchService.categoriesResponse | async; let categories; else loading">
                <div class="btn-group btn-group-toggle" ngbDropdown role="group" data-toggle="buttons" aria-label="Button group with nested dropdown" *ngFor="let category of categories; let idx = index">
                    <div *ngIf="category.subs.length > 0">
                        <label  ngbButtonLabel class="btn btn-secondary filter filter-drop-down">
                            {{category.name}} ({{category.count}})
                            <input ngbButton type="checkbox" class="top-cat-toggl" (ngModelChange)="toggleCategory($event, category)" [ngModel]="categoryChecked[category.identifier]">
                            <button class="expand-btn" id="dropdownBasic" ngbDropdownToggle><i class="fas fa-angle-down"></i></button>
                        </label>
                      
                        <div ngbDropdownMenu class="drop-down-sub-cat" aria-labelledby="dropdownBasic">
                            <div *ngFor="let sub of category.subs; let i = index">
                                <div *ngIf="sub.subs.length">
                                    <label class="container">{{sub.name}} ({{sub.count}})
                                        <input type="checkbox" (ngModelChange)="toggleCategory($event, sub)" [ngModel]="categoryChecked[sub.identifier]" >
                                        <span class="checkmark"></span>
                                        <button class="expand-btn" (click)="isCollapsed = !isCollapsed"
                                        [attr.aria-expanded]="!isCollapsed"><i class="material-icons">
                                            keyboard_arrow_down
                                        </i></button>
                                    </label>
                                    <div id="collapseExample" [ngbCollapse]="!isCollapsed">
                                        <div class="expand-card">
                                          <div class="card-body sub-card" *ngFor="let s of sub.subs; let x = index">
                                                <label class="container sub-container">{{s.name}} ({{s.count}})
                                                    <input type="checkbox" (ngModelChange)="toggleCategory($event, s)" [ngModel]="categoryChecked[s.identifier]">
                                                    <span class="checkmark s-checkmark"></span>
                                                </label>
                                          </div>
                                        </div>
                                    </div>
                                </div>
                                <div *ngIf="!sub.subs.length">
                                    <label class="container">{{sub.name}} ({{sub.count}})
                                        <input type="checkbox" (ngModelChange)="toggleCategory($event, sub)" [ngModel]="categoryChecked[sub.identifier]">
                                        <span class="checkmark"></span>
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div *ngIf="category.subs.length < 1">
                        <label ngbButtonLabel class="btn btn-secondary filter">
                            {{category.name}} ({{category.count}})
                            <input ngbButton type="checkbox" class="top-cat-toggl" (ngModelChange)="toggleCategory($event, category)" [ngModel]="categoryChecked[category.identifier]">
                        </label>
                    </div>
                </div>
            </div>
        
        </div>
    </div>
</div>

<ng-template #loading></ng-template>
